* {
    box-sizing: border-box;
    font-family: sans-serif;
    margin: 0;
    padding: 0;
}

a {
    color: #fcc31a;
}

body {
    background: url("/img/background.jpg") no-repeat;
    background-size: cover;
    background-position: center;
    background-attachment: fixed;
}

hr {
    border: 0;
    height: 2px;
    background-color: rgba(255, 255, 255, 0.2);
}

li + li {
    margin-top: 0.5rem;
}

s {
    color: #ccc;
}

.align-items-center { align-items: center; }

.border-radius-05 { border-radius: 0.5rem; }
.border-radius-1 { border-radius: 1rem; }
.border-radius-2 { border-radius: 2rem; }
.border-radius-3 { border-radius: 3rem; }
.border-radius-4 { border-radius: 4rem; }

.btn {
    background: #eee;
    border: none;
    font-size: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.btn:disabled {
    background: #aaa;
    cursor: not-allowed;
}

.btn:not(:disabled):hover {
    background: #ccc;
    cursor: pointer;
}

.btn-box {
    width: 2rem;
    aspect-ratio: 1 / 1;
}

.card {
    backdrop-filter: blur(20px);
    background: transparent;
    border: 2px solid rgba(255, 255, 255, 0.2);
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
    color: #eee;
    margin: 1rem;
}

.d-flex { display: flex; }
.d-grid {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr;
}
.d-inline-b {
    display: inline-block;
}

.fade-in {
    animation: fadeIn 0.5s ease-in 0s 1;
}

.fade-in-up {
    animation: fadeInUp 0.5s ease-in 0s 1;
}

.flex-col { flex-direction: column; }

.fs-20 { font-size: 20px; }
.fs-32 { font-size: 32px; }

.fw-bold { font-weight: bold; }

.gap-1 { gap: 1rem; }
.gap-2 { gap: 2rem; }
.gap-3 { gap: 3rem; }
.gap-4 { gap: 4rem; }

.grid-container {
    grid-auto-rows: auto;
    gap: 0.5rem;
}

.h-100 { height: 100%; }

.hidden { display: none; }

.icon-failed {
    padding: 0.5rem;
    border: 2px solid #a00;
    background-color: #a00;
    border-radius: 36px;
    font-size: 48px;
    color: #eee;
    margin-bottom: 1rem;
}

.icon-processing {
    padding: 0.5rem;
    border: 2px solid orange;
    background-color: orange;
    border-radius: 36px;
    font-size: 48px;
    color: #000;
    margin-bottom: 1rem;
    animation: rotating 2s linear infinite;
}

.icon-success {
    padding: 0.5rem;
    border: 2px solid #070;
    background-color: #070;
    border-radius: 36px;
    font-size: 48px;
    color: #eee;
    margin-bottom: 1rem;
}

.input-radio {
    display: block;
    font-size: 22px;
    margin-bottom: 12px;
    padding-left: 35px;
    position: relative;
    user-select: none;
}

.input-radio input:not(:disabled) {
    cursor: pointer;
}

.input-radio input {
    cursor: pointer;
    height: 0;
    opacity: 0;
    position: absolute;
    width: 0;
}

.input-radio .checkmark {
    background-color: #eee;
    border-radius: 50%;
    height: 25px;
    left: 0;
    position: absolute;
    top: 0;
    width: 25px;
}

.input-radio .checkmark:after {
    content: "";
    position: absolute;
    display: none;
}

.input-radio:hover input ~ .checkmark {
    background-color: #ccc;
}

.input-radio input:checked ~ .checkmark {
    background-color: #2196F3;
}

.input-radio input:checked ~ .checkmark:after {
    display: block;
}

.input-radio input:disabled ~ .checkmark {
    background-color: #aaa;
}

.input-text {
    height: 50px;
    margin: 15px 0;
    position: relative;
    width: 100%;
}

.input-text input {
    background: transparent;
    border: 2px solid rgba(255, 255, 255, 0.2);
    border-radius: 40px;
    color: #fff;
    height: 100%;
    font-size: 16px;
    outline: none;
    padding: 20px;
    width: 100%;
}

.input-text i {
    font-size: 20px;
    position: absolute;
    right: 20px;
    top: 50%;
    transform: translateY(-50%);
}

.input::placeholder {
    color: #fff;
}

.item-grid-container {
    grid-auto-rows: auto;
    gap: 0.5rem;
}

.justify-content-between { justify-content: space-between; }
.justify-content-center { justify-content: center; }
.justify-content-evenly { justify-content: space-evenly; }

.max-w-sm { max-width: 608px; }

.modal-background {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgb(0, 0, 0, 0.5);
    color: #eee;
}

.mb-1 { margin-bottom: 1rem; }
.mb-2 { margin-bottom: 2rem; }
.mb-3 { margin-bottom: 3rem; }
.mb-4 { margin-bottom: 4rem; }

.ml-1 { margin-left: 1rem; }
.ml-2 { margin-left: 2rem; }
.ml-3 { margin-left: 3rem; }
.ml-4 { margin-left: 4rem; }

.mlr-1 { margin-left: 1rem; margin-right: 1rem; }
.mlr-2 { margin-left: 2rem; margin-right: 2rem; }
.mlr-3 { margin-left: 3rem; margin-right: 3rem; }
.mlr-4 { margin-left: 4rem; margin-right: 4rem; }
.mlr-auto { margin-left: auto; margin-right: auto; }

.mt-1 { margin-top: 1rem; }
.mt-2 { margin-top: 2rem; }
.mt-3 { margin-top: 3rem; }
.mt-4 { margin-top: 4rem; }

.mtb-1 { margin-top: 1rem; margin-bottom: 1rem; }
.mtb-2 { margin-top: 2rem; margin-bottom: 2rem; }
.mtb-3 { margin-top: 3rem; margin-bottom: 3rem; }
.mtb-4 { margin-top: 4rem; margin-bottom: 4rem; }

.p-1 { padding: 1rem; }
.p-2 { padding: 2rem; }
.p-3 { padding: 3rem; }
.p-4 { padding: 4rem; }

.plr-1 { padding-left: 1rem; padding-right: 1rem; }
.plr-2 { padding-left: 2rem; padding-right: 2rem; }
.plr-3 { padding-left: 3rem; padding-right: 3rem; }
.plr-4 { padding-left: 4rem; padding-right: 4rem; }

.ptb-1 { padding-top: 1rem; padding-bottom: 1rem; }
.ptb-2 { padding-top: 2rem; padding-bottom: 2rem; }
.ptb-3 { padding-top: 3rem; padding-bottom: 3rem; }
.ptb-4 { padding-top: 4rem; padding-bottom: 4rem; }

.w-100 {
    width: 100%;
}

.wizard-item {
    align-items: center;
    aspect-ratio: 1 / 1;
    border: 2px solid rgba(255, 255, 255, 0.2);
    border-radius: 28px;
    display: flex;
    font-size: 20px;
    font-weight: bold;
    justify-content: center;
    width: 3rem;
}

.wizard-item.active {
    background: #eee;
    border: 2px solid #eee;
    color: #333;
}

.wizard-item.completed {
    background: #070;
    border: 2px solid #070;
    color: #eee;
    font-size: 32px;
}

.wizard-separator {
    display: block;
    height: 2px;
    background-color: rgba(255, 255, 255, 0.2);
    margin: 0;
    padding: 0;
}

.wizard-separator.act2non {
    background-image: linear-gradient(90deg, #eee, rgba(255, 255, 255, 0.2));
}

.wizard-separator.com2act {
    background-image: linear-gradient(90deg, #070, #eee);
}

.wizard-separator.completed {
    background-color: #070;
}

@media (min-width: 320px) {
    .xs-col-1 { grid-column: span 1; }
    .xs-col-2 { grid-column: span 2; }
    .xs-col-3 { grid-column: span 3; }
    .xs-col-4 { grid-column: span 4; }
    .xs-col-6 { grid-column: span 6; }
    .xs-col-12 { grid-column: span 12; }

    .xs-fs-16 { font-size: 16px; }
    .xs-fs-20 { font-size: 20px; }
    .xs-fs-32 { font-size: 32px; }

    .xs-ml-1 { margin-left: 1rem; }
    .xs-ml-2 { margin-left: 2rem; }
    .xs-ml-3 { margin-left: 3rem; }
    .xs-ml-4 { margin-left: 4rem; }

    .xs-mr-1 { margin-right: 1rem; }
    .xs-mr-2 { margin-right: 2rem; }
    .xs-mr-3 { margin-right: 3rem; }
    .xs-mr-4 { margin-right: 4rem; }

    .xs-mlr-1 { margin-left: 1rem; margin-right: 1rem; }
    .xs-mlr-2 { margin-left: 2rem; margin-right: 2rem; }
    .xs-mlr-3 { margin-left: 3rem; margin-right: 3rem; }
    .xs-mlr-4 { margin-left: 4rem; margin-right: 4rem; }
    .xs-mlr-auto { margin-left: auto; margin-right: auto; }

    .xs-p-1 { padding: 1rem; }
    .xs-p-2 { padding: 2rem; }
    .xs-p-3 { padding: 3rem; }
    .xs-p-4 { padding: 4rem; }

    .xs-plr-1 { padding-left: 1rem; padding-right: 1rem; }
    .xs-plr-2 { padding-left: 2rem; padding-right: 2rem; }
    .xs-plr-3 { padding-left: 3rem; padding-right: 3rem; }
    .xs-plr-4 { padding-left: 4rem; padding-right: 4rem; }

    .xs-w-100 { width: 100% }

    .wizard-separator {
        width: 5%;
    }
}

@media (min-width: 481px) {
    .sm-col-1 { grid-column: span 1; }
    .sm-col-2 { grid-column: span 2; }
    .sm-col-3 { grid-column: span 3; }
    .sm-col-4 { grid-column: span 4; }
    .sm-col-6 { grid-column: span 6; }
    .sm-col-12 { grid-column: span 12; }

    .sm-fs-16 { font-size: 16px; }
    .sm-fs-20 { font-size: 20px; }
    .sm-fs-32 { font-size: 32px; }

    .sm-ml-1 { margin-left: 1rem; }
    .sm-ml-2 { margin-left: 2rem; }
    .sm-ml-3 { margin-left: 3rem; }
    .sm-ml-4 { margin-left: 4rem; }

    .sm-mr-1 { margin-right: 1rem; }
    .sm-mr-2 { margin-right: 2rem; }
    .sm-mr-3 { margin-right: 3rem; }
    .sm-mr-4 { margin-right: 4rem; }

    .sm-mlr-1 { margin-left: 1rem; margin-right: 1rem; }
    .sm-mlr-2 { margin-left: 2rem; margin-right: 2rem; }
    .sm-mlr-3 { margin-left: 3rem; margin-right: 3rem; }
    .sm-mlr-4 { margin-left: 4rem; margin-right: 4rem; }
    .sm-mlr-auto { margin-left: auto; margin-right: auto; }

    .sm-p-1 { padding: 1rem; }
    .sm-p-2 { padding: 2rem; }
    .sm-p-3 { padding: 3rem; }
    .sm-p-4 { padding: 4rem; }

    .sm-plr-1 { padding-left: 1rem; padding-right: 1rem; }
    .sm-plr-2 { padding-left: 2rem; padding-right: 2rem; }
    .sm-plr-3 { padding-left: 3rem; padding-right: 3rem; }
    .sm-plr-4 { padding-left: 4rem; padding-right: 4rem; }

    .sm-w-100 { width: 100% }
    
    .wizard-separator {
        width: 10%;
    }
}

@media (min-width: 641px) {
    .md-col-1 { grid-column: span 1; }
    .md-col-2 { grid-column: span 2; }
    .md-col-3 { grid-column: span 3; }
    .md-col-4 { grid-column: span 4; }
    .md-col-6 { grid-column: span 6; }
    .md-col-12 { grid-column: span 12; }

    .md-ml-1 { margin-left: 1rem; }
    .md-ml-2 { margin-left: 2rem; }
    .md-ml-3 { margin-left: 3rem; }
    .md-ml-4 { margin-left: 4rem; }

    .md-mr-1 { margin-right: 1rem; }
    .md-mr-2 { margin-right: 2rem; }
    .md-mr-3 { margin-right: 3rem; }
    .md-mr-4 { margin-right: 4rem; }

    .md-mlr-1 { margin-left: 1rem; margin-right: 1rem; }
    .md-mlr-2 { margin-left: 2rem; margin-right: 2rem; }
    .md-mlr-3 { margin-left: 3rem; margin-right: 3rem; }
    .md-mlr-4 { margin-left: 4rem; margin-right: 4rem; }
    .md-mlr-auto { margin-left: auto; margin-right: auto; }

    .md-plr-1 { padding-left: 1rem; padding-right: 1rem; }
    .md-plr-2 { padding-left: 2rem; padding-right: 2rem; }
    .md-plr-3 { padding-left: 3rem; padding-right: 3rem; }
    .md-plr-4 { padding-left: 4rem; padding-right: 4rem; }

    .md-w-100 { width: 100% }
    
    .wizard-separator {
        width: 15%;
    }
}

@media (min-width: 961px) {
    .lg-col-1 { grid-column: span 1; }
    .lg-col-2 { grid-column: span 2; }
    .lg-col-3 { grid-column: span 3; }
    .lg-col-4 { grid-column: span 4; }
    .lg-col-6 { grid-column: span 6; }
    .lg-col-12 { grid-column: span 12; }
    
    .wizard-separator {
        width: 20%;
    }
}

@media (min-width: 1281px) {
    .xl-col-1 { grid-column: span 1; }
    .xl-col-2 { grid-column: span 2; }
    .xl-col-3 { grid-column: span 3; }
    .xl-col-4 { grid-column: span 4; }
    .xl-col-6 { grid-column: span 6; }
    .xl-col-12 { grid-column: span 12; }
}

@media (min-width: 1601px) {
    .xxl-col-1 { grid-column: span 1; }
    .xxl-col-2 { grid-column: span 2; }
    .xxl-col-3 { grid-column: span 3; }
    .xxl-col-4 { grid-column: span 4; }
    .xxl-col-6 { grid-column: span 6; }
    .xxl-col-12 { grid-column: span 12; }
}

@keyframes fadeIn {
    from { opacity: 0; }
    to { opacity: 1; }
}

@keyframes fadeInUp {
    from {
        opacity: 0;
        transform: translateY(20px);
    }
    to {
        opacity: 1;
        transform: translateY(0);
    }
}

@keyframes rotating {
    from {
        -ms-transform: rotate(0deg);
        -moz-transform: rotate(0deg);
        -webkit-transform: rotate(0deg);
        -o-transform: rotate(0deg);
        transform: rotate(0deg);
    }
    to {
        -ms-transform: rotate(360deg);
        -moz-transform: rotate(360deg);
        -webkit-transform: rotate(360deg);
        -o-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}